#include "interfaceTestWin.h"
#include "ui_interfaceTestWin.h"

InterfaceTestWin::InterfaceTestWin(QWidget *parent)
    : QWidget(parent)
    , ui(new Ui::InterfaceTestWin)
{
    ui->setupUi(this);

    serialModel = new QStandardItemModel(this);
    serialSelect = new QItemSelectionModel(serialModel);
    serialModel->setColumnCount(2);
    ui->tableViewSerial->setModel(serialModel);
    ui->tableViewSerial->setSelectionModel(serialSelect);
    ui->tableViewSerial->horizontalHeader()->setVisible(false);
    ui->tableViewSerial->verticalHeader()->setVisible(false);
    ui->tableViewSerial->horizontalHeader()->setSectionResizeMode(QHeaderView::Stretch);
    ui->tableViewSerial->verticalHeader()->setSectionResizeMode(QHeaderView::Stretch);

    QFont font = ui->tableViewSerial->font();
    //font.setPointSize(10);
    ui->tableViewSerial->setFont(font);

    QList<QStandardItem *> aItemList;
    QStandardItem *aItem = new QStandardItem("串口接收");
    aItem->setEditable(false);
    font.setBold(true);
    aItem->setFont(font);
    aItem->setTextAlignment(Qt::AlignCenter);
    aItemList.append(aItem);
    aItem = new QStandardItem("");
    aItem->setTextAlignment(Qt::AlignCenter);
    aItemList.append(aItem);
    serialModel->insertRow(serialModel->rowCount(),aItemList);

    aItemList.clear();
    aItem = new QStandardItem("串口发送");
    aItem->setEditable(false);
    font.setBold(true);
    aItem->setFont(font);
    aItem->setTextAlignment(Qt::AlignCenter);
    aItemList.append(aItem);
    aItem = new QStandardItem("");
    aItem->setTextAlignment(Qt::AlignCenter);
    aItemList.append(aItem);
    serialModel->insertRow(serialModel->rowCount(),aItemList);

    canModel = new QStandardItemModel(this);
    canSelect = new QItemSelectionModel(canModel);
    canModel->setColumnCount(2);
    ui->tableViewCan->setModel(canModel);
    ui->tableViewCan->setSelectionModel(canSelect);
    ui->tableViewCan->horizontalHeader()->setVisible(false);
    ui->tableViewCan->verticalHeader()->setVisible(false);
    ui->tableViewCan->horizontalHeader()->setSectionResizeMode(QHeaderView::Stretch);
    ui->tableViewCan->verticalHeader()->setSectionResizeMode(QHeaderView::Stretch);

    aItemList.clear();
    aItem = new QStandardItem("CAN接收");
    aItem->setEditable(false);
    font.setBold(true);
    aItem->setFont(font);
    aItem->setTextAlignment(Qt::AlignCenter);
    aItemList.append(aItem);
    aItem = new QStandardItem("");
    aItem->setTextAlignment(Qt::AlignCenter);
    aItemList.append(aItem);
    canModel->insertRow(canModel->rowCount(),aItemList);

    aItemList.clear();
    aItem = new QStandardItem("CAN发送");
    aItem->setEditable(false);
    font.setBold(true);
    aItem->setFont(font);
    aItem->setTextAlignment(Qt::AlignCenter);
    aItemList.append(aItem);
    aItem = new QStandardItem("");
    aItem->setTextAlignment(Qt::AlignCenter);
    aItemList.append(aItem);
    canModel->insertRow(canModel->rowCount(),aItemList);
}

InterfaceTestWin::~InterfaceTestWin()
{
    delete ui;
}
