#include "msgInputWin.h"
#include "ui_msgInputWin.h"
#include <QComboBox>

MsgInputWin::MsgInputWin(QWidget *parent)
    : QWidget(parent)
    , ui(new Ui::MsgInputWin)
{
    ui->setupUi(this);
    msgModel = new QStandardItemModel(this);
    msgSelect = new QItemSelectionModel(msgModel);
    msgModel->setColumnCount(2);
    ui->tableView->setModel(msgModel);
    ui->tableView->setSelectionModel(msgSelect);
    ui->tableView->horizontalHeader()->setVisible(false);
    ui->tableView->verticalHeader()->setVisible(false);
    ui->tableView->horizontalHeader()->setStretchLastSection(true);
    ui->tableView->verticalHeader()->setSectionResizeMode(QHeaderView::Stretch);

    QFont font = ui->tableView->font();
    //font.setPointSize(10);
    ui->tableView->setFont(font);

    QList<QStandardItem *> aItemList;
    QStandardItem *aItem = new QStandardItem("单位");
    aItem->setEditable(false);
    font.setBold(true);
    aItem->setFont(font);
    aItem->setTextAlignment(Qt::AlignCenter);
    aItemList.append(aItem);
    aItem = new QStandardItem("");
    aItemList.append(aItem);
    msgModel->insertRow(msgModel->rowCount(),aItemList);

    aItemList.clear();
    aItem = new QStandardItem("班组");
    aItem->setEditable(false);
    aItem->setFont(font);
    aItem->setTextAlignment(Qt::AlignCenter);
    aItemList.append(aItem);
    aItem = new QStandardItem("");
    aItemList.append(aItem);
    msgModel->insertRow(msgModel->rowCount(),aItemList);

    aItemList.clear();
    aItem = new QStandardItem("车型");
    aItem->setEditable(false);
    aItem->setFont(font);
    aItem->setTextAlignment(Qt::AlignCenter);
    aItemList.append(aItem);
    aItem = new QStandardItem("");
    aItemList.append(aItem);
    msgModel->insertRow(msgModel->rowCount(),aItemList);
    QComboBox *carType = new QComboBox();
    ui->tableView->setIndexWidget(msgModel->index(msgModel->rowCount()-1,1),carType);

    aItemList.clear();
    aItem = new QStandardItem("北斗型号");
    aItem->setEditable(false);
    aItem->setFont(font);
    aItem->setTextAlignment(Qt::AlignCenter);
    aItemList.append(aItem);
    aItem = new QStandardItem("");
    aItemList.append(aItem);
    msgModel->insertRow(msgModel->rowCount(),aItemList);

    aItemList.clear();
    aItem = new QStandardItem("北斗序列号");
    aItem->setEditable(false);
    aItem->setFont(font);
    aItem->setTextAlignment(Qt::AlignCenter);
    aItemList.append(aItem);
    aItem = new QStandardItem("");
    aItemList.append(aItem);
    msgModel->insertRow(msgModel->rowCount(),aItemList);

    aItemList.clear();
    aItem = new QStandardItem("生产单位");
    aItem->setEditable(false);
    aItem->setFont(font);
    aItem->setTextAlignment(Qt::AlignCenter);
    aItemList.append(aItem);
    aItem = new QStandardItem("");
    aItemList.append(aItem);
    msgModel->insertRow(msgModel->rowCount(),aItemList);
}

MsgInputWin::~MsgInputWin()
{
    delete ui;
}
