#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QMainWindow>
#include <QLabel>
#include "serialport.h"

QT_BEGIN_NAMESPACE
namespace Ui {
class MainWindow;
}
QT_END_NAMESPACE

class MainWindow : public QMainWindow
{
    Q_OBJECT

public:
    MainWindow(QWidget *parent = nullptr);
    ~MainWindow();

private slots:
    void receiverSerialDataHandle(const QByteArray &data);
    void loginHandle();
    void btnCleanClickedHandle();
    void on_tbtnFresh_clicked();
    void on_tbtnConnect_clicked();

private:
    Ui::MainWindow *ui;
    QByteArray leftData;
    SerialPort *serial = nullptr;
    QLabel *lbCurUserId;
    QLabel *lbComStatus;
    QLabel *lbSendByte;
    QLabel *lbRecvByte;
    bool bconnected = false;
    void serialPortInit();
};
#endif // MAINWINDOW_H
